[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.RestoreDC

Restores an Device Context (DC) to an previously saved state.

## Declaration

Source position: winapih.inc line 227

`public function TWidgetSet.RestoreDC(`
`DC: HDC;`
`SavedDC: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`SavedDC` |  | The index returned by SaveDC, or -1 for the most recently saved state.

## Function result

False on failure.

## See also

TWidgetSet.SaveDC |  | Saves the state of an Device Context in the context stack.